KDockWidgetHeaderDrag Class Reference

`#include <kdockwidget.h>`

Inheritance diagram for KDockWidgetHeaderDrag:

## Public Member Functions

| KDockWidgetHeaderDrag (KDockWidgetAbstractHeader *parent, KDockWidget *dock, const char *name=0L)
virtual | ~KDockWidgetHeaderDrag ()
Public Member Functions inherited from KDockWidgetAbstractHeaderDrag
| KDockWidgetAbstractHeaderDrag (KDockWidgetAbstractHeader *parent, KDockWidget *dock, const char *name=0L)
virtual | ~KDockWidgetAbstractHeaderDrag ()
KDockWidget * | dockWidget () const

## Protected Member Functions

virtual void | paintEvent (QPaintEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This special widget is the panel one can grip with the mouses (and member of the dockwidget class set).

The widget for dragging, so to speak. Usually it is located in the KDockWidgetHeader. More or less a minor helper class for the dockwidget class set.

Author
  Max Judin (documentation: Falk Brettschneider).

Definition at line 197 of file kdockwidget.h.

## Constructor & Destructor Documentation

KDockWidgetHeaderDrag::KDockWidgetHeaderDrag | ( | KDockWidgetAbstractHeader * | parent,
|  | KDockWidget * | dock,
|  | const char * | name = `0L`
| ) |  |

Constructs this.

Parameters

  parent | the parent widget (usually a dockwidget header)
  dock | the dockwidget where it belongs to
  name | the object instance name

Definition at line 195 of file kdockwidget.cpp.

virtual KDockWidgetHeaderDrag::~KDockWidgetHeaderDrag | ( |  | ) |

inline virtual

Destructs this.

Definition at line 215 of file kdockwidget.h.

## Member Function Documentation

void KDockWidgetHeaderDrag::paintEvent | ( | QPaintEvent * |  | ) |

protected virtual

Draws the drag panel (a double line)

Definition at line 200 of file kdockwidget.cpp.

The documentation for this class was generated from the following files:

- kdockwidget.h
- kdockwidget.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys